OpenJPEG: opj_stream_private Struct Reference

OpenJPEG 2.3.0

Data Fields
opj_stream_private Struct Reference
CIO - byte input-output stream

Byte input-output stream. More...

`#include <cio.h>`

## Data Fields
void * | m_user_data
| User data, be it files, ... More...
opj_stream_free_user_data_fn | m_free_user_data_fn
| Pointer to function to free m_user_data (NULL at initialization) when destroying the stream. More...
OPJ_UINT64 | m_user_data_length
| User data length. More...
opj_stream_read_fn | m_read_fn
| Pointer to actual read function (NULL at the initialization of the cio. More...
opj_stream_write_fn | m_write_fn
| Pointer to actual write function (NULL at the initialization of the cio. More...
opj_stream_skip_fn | m_skip_fn
| Pointer to actual skip function (NULL at the initialization of the cio. More...
opj_stream_seek_fn | m_seek_fn
| Pointer to actual seek function (if available). More...
OPJ_BYTE * | m_stored_data
| Actual data stored into the stream if readed from. More...
OPJ_BYTE * | m_current_data
| Pointer to the current read data. More...
OPJ_OFF_T(* | m_opj_skip )(struct opj_stream_private *, OPJ_OFF_T, struct opj_event_mgr *)
| FIXME DOC. More...
OPJ_BOOL(* | m_opj_seek )(struct opj_stream_private *, OPJ_OFF_T, struct opj_event_mgr *)
| FIXME DOC. More...
OPJ_SIZE_T | m_bytes_in_buffer
| number of bytes containing in the buffer. More...
OPJ_OFF_T | m_byte_offset
| The number of bytes read/written from the beginning of the stream. More...
OPJ_SIZE_T | m_buffer_size
| The size of the buffer. More...
OPJ_UINT32 | m_status
| Flags to tell the status of the stream. More...

## Detailed Description

Byte input-output stream.

## Field Documentation

## ◆ m_buffer_size

OPJ_SIZE_T opj_stream_private::m_buffer_size

The size of the buffer.

Referenced by opj_stream_create(), opj_stream_read_data(), and opj_stream_write_data().

## ◆ m_byte_offset

OPJ_OFF_T opj_stream_private::m_byte_offset

The number of bytes read/written from the beginning of the stream.

Referenced by opj_stream_get_number_byte_left(), opj_stream_read_data(), opj_stream_read_seek(), opj_stream_read_skip(), opj_stream_tell(), opj_stream_write_data(), opj_stream_write_seek(), and opj_stream_write_skip().

## ◆ m_bytes_in_buffer

OPJ_SIZE_T opj_stream_private::m_bytes_in_buffer

number of bytes containing in the buffer.

Referenced by opj_stream_flush(), opj_stream_read_data(), opj_stream_read_seek(), opj_stream_read_skip(), opj_stream_write_data(), opj_stream_write_seek(), and opj_stream_write_skip().

## ◆ m_current_data

OPJ_BYTE* opj_stream_private::m_current_data

Pointer to the current read data.

Referenced by opj_stream_create(), opj_stream_flush(), opj_stream_read_data(), opj_stream_read_seek(), opj_stream_read_skip(), opj_stream_write_data(), and opj_stream_write_seek().

## ◆ m_free_user_data_fn

opj_stream_free_user_data_fn opj_stream_private::m_free_user_data_fn

Pointer to function to free m_user_data (NULL at initialization) when destroying the stream.

If pointer is NULL the function is not called and the m_user_data is not freed (even if non-NULL).

Referenced by opj_stream_destroy(), and opj_stream_set_user_data().

## ◆ m_opj_seek

OPJ_BOOL(* opj_stream_private::m_opj_seek) (struct opj_stream_private *, OPJ_OFF_T, struct opj_event_mgr *)

FIXME DOC.

Referenced by opj_stream_create(), and opj_stream_seek().

## ◆ m_opj_skip

OPJ_OFF_T(* opj_stream_private::m_opj_skip) (struct opj_stream_private *, OPJ_OFF_T, struct opj_event_mgr *)

FIXME DOC.

Referenced by opj_stream_create(), and opj_stream_skip().

## ◆ m_read_fn

opj_stream_read_fn opj_stream_private::m_read_fn

Pointer to actual read function (NULL at the initialization of the cio.

Referenced by opj_stream_create(), opj_stream_read_data(), and opj_stream_set_read_function().

## ◆ m_seek_fn

opj_stream_seek_fn opj_stream_private::m_seek_fn

Pointer to actual seek function (if available).

Referenced by opj_stream_create(), opj_stream_has_seek(), opj_stream_read_seek(), opj_stream_set_seek_function(), and opj_stream_write_seek().

## ◆ m_skip_fn

opj_stream_skip_fn opj_stream_private::m_skip_fn

Pointer to actual skip function (NULL at the initialization of the cio.

There is no seek function to prevent from back and forth slow procedures.

Referenced by opj_stream_create(), opj_stream_read_skip(), opj_stream_set_skip_function(), and opj_stream_write_skip().

## ◆ m_status

OPJ_UINT32 opj_stream_private::m_status

Flags to tell the status of the stream.

Used with OPJ_STREAM_STATUS_* defines.

Referenced by opj_stream_create(), opj_stream_flush(), opj_stream_read_data(), opj_stream_read_seek(), opj_stream_read_skip(), opj_stream_set_read_function(), opj_stream_set_write_function(), opj_stream_write_data(), opj_stream_write_seek(), and opj_stream_write_skip().

## ◆ m_stored_data

OPJ_BYTE* opj_stream_private::m_stored_data

Actual data stored into the stream if readed from.

Data is read by chunk of fixed size. you should never access this data directly.

Referenced by opj_stream_create(), opj_stream_destroy(), opj_stream_flush(), opj_stream_read_data(), opj_stream_read_seek(), opj_stream_read_skip(), opj_stream_write_data(), and opj_stream_write_seek().

## ◆ m_user_data

void* opj_stream_private::m_user_data

User data, be it files, ...

The actual data depends on the type of the stream.

Referenced by opj_stream_destroy(), opj_stream_flush(), opj_stream_read_data(), opj_stream_read_seek(), opj_stream_read_skip(), opj_stream_set_user_data(), opj_stream_write_seek(), and opj_stream_write_skip().

## ◆ m_user_data_length

OPJ_UINT64 opj_stream_private::m_user_data_length

User data length.

Referenced by opj_stream_get_number_byte_left(), opj_stream_read_skip(), and opj_stream_set_user_data_length().

## ◆ m_write_fn

opj_stream_write_fn opj_stream_private::m_write_fn

Pointer to actual write function (NULL at the initialization of the cio.

Referenced by opj_stream_create(), opj_stream_flush(), and opj_stream_set_write_function().

The documentation for this struct was generated from the following file:

- cio.h